Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Recyclable.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Recyclable.inl"`

Include dependency graph for Recyclable.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Recyclable
## Enumerations
enum | ACE_Recyclable_State { ACE_RECYCLABLE_IDLE_AND_PURGABLE, ACE_RECYCLABLE_IDLE_BUT_NOT_PURGABLE, ACE_RECYCLABLE_PURGABLE_BUT_NOT_IDLE, ACE_RECYCLABLE_BUSY, ACE_RECYCLABLE_CLOSED, ACE_RECYCLABLE_UNKNOWN }
| States of a recyclable object. More...

## Detailed Description

Id:
  Recyclable.h,v 4.5 2003/07/19 19:04:13 dhinton Exp

Author:
  Doug Schmidt

## Enumeration Type Documentation

enum ACE_Recyclable_State

  | States of a recyclable object. Enumeration values:
  ACE_RECYCLABLE_IDLE_AND_PURGABLE | Idle and can be purged.
  ACE_RECYCLABLE_IDLE_BUT_NOT_PURGABLE | Idle but cannot be purged.
  ACE_RECYCLABLE_PURGABLE_BUT_NOT_IDLE | Can be purged, but is not idle (mostly for debugging).
  ACE_RECYCLABLE_BUSY | Busy (i.e., cannot be recycled or purged).
  ACE_RECYCLABLE_CLOSED | Closed.
  ACE_RECYCLABLE_UNKNOWN | Unknown state.